/*	$NetBSD$	*/

/*
 * Copyright (c) 2001 Minoura Makoto.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
 * Synaptics TouchPad register definitions.
 */

#define STP_COORDINATE_X_MIN		0
#define STP_COORDINATE_X_MAX		0x17ff
#define STP_COORDINATE_X_BEZEL_MIN	0x5C0
#define STP_COORDINATE_X_BEZEL_MAX	0x1560
#define STP_COORDINATE_X_EDGE_MIN	0x0660
#define STP_COORDINATE_X_EDGE_MAX	0x14C0

#define STP_COORDINATE_Y_MIN		0
#define STP_COORDINATE_Y_MAX		0x17ff
#define STP_COORDINATE_Y_BEZEL_MIN	0x580
#define STP_COORDINATE_Y_BEZEL_MAX	0x1160
#define STP_COORDINATE_Y_EDGE_MIN	0x0620
#define STP_COORDINATE_Y_EDGE_MAX	0x10C0

#define STP_COORDINATE_Z_MIN	0
#define STP_COORDINATE_Z_MAX	0xff

#define STP_COORDINATE_W_MIN	0
#define STP_COORDINATE_W_MAX	0xf


/* ModelID bits (24bit) */
#define STP_MODELID_INFO_ROT_180		0x800000
#define STP_MODELID_INFO_PORTRAIT		0x400000
#define STP_MODELID_INFO_SENSOR_MASK		0x3f0000
#define STP_MODELID_INFO_SENSOR_SHIFT		16
#define STP_MODELID_INFO_HARDWARE_MASK		0x00fe00
#define STP_MODELID_INFO_HARDWARE_SHIFT		9
#define STP_MODELID_INFO_NEW_ABS		0x000080
#define STP_MODELID_CAP_PEN			0x000040
#define STP_MODELID_INFO_SIMPL_C		0x000020
#define STP_MODELID_INFO_GEOMETRY_MASK		0x00000f
#define STP_MODELID_INFO_GEOMETRY_SHIFT		0


/* Extended capability bits (16bit) */
#define STP_CAPABILITY_EXTENDED			0x8000
#define STP_CAPABILITY_SLEEP			0x0010
#define STP_CAPABILITY_FOUR_BTN			0x0008
#define STP_CAPABILITY_MULTI_FING		0x0002
#define STP_CAPABILITY_PALM_DET			0x0001


/* Mode bits (8bit) */
#define STP_MODE_ABSOLUTE		0x80
#define STP_MODE_RATE_80		0x40
#define STP_MODE_BAUD_9600		0x08
#define STP_MODE_SLEEP			0x08
#define STP_MODE_DISABLE_GESTURE	0x04
#define STP_MODE_PACKET_SIZE_78		0x02
#define STP_MODE_W_MODE			0x01
